Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultDmppType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.DmppKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultDmppType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultDmppType extends DmppKeyType implements Serializable

Java class for ConsultDmppType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultDmppType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType">
           <sequence>
             <group ref="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppFields"/>
             <group ref="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppReimbursementFields"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultDmppType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `BigDecimal`
  `getPrice()`
  Price in Euro of the AMPP in this environment.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `Boolean`
  `isCheap()`
  This product is considered by NIHDI as cheap.
  `Boolean`
  `isCheapest()`
  This product is considered by NIHDI as the cheapest on the market.
  `boolean`
  `isReimbursable()`
  By default, a DMPP is not reimbursed, even if an existing reimbursement context references the same CNK.
  `void`
  `setCheap(Boolean value)`
  Sets the value of the cheap property.
  `void`
  `setCheapest(Boolean value)`
  Sets the value of the cheapest property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setPrice(BigDecimal value)`
  Sets the value of the price property.
  `void`
  `setReimbursable(boolean value)`
  Sets the value of the reimbursable property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.DmppKeyType

  `getCode, getCodeType, getDeliveryEnvironment, setCode, setCodeType, setDeliveryEnvironment`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultDmppType

    public ConsultDmppType()

- ## Method Details

  - ### getPrice

    public BigDecimal getPrice()
    Price in Euro of the AMPP in this environment.
    Returns:
      possible object is `BigDecimal`

  - ### setPrice

    public void setPrice(BigDecimal value)
    Sets the value of the price property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getPrice()`

  - ### isCheap

    public Boolean isCheap()
    This product is considered by NIHDI as cheap.
    Returns:
      possible object is `Boolean`

  - ### setCheap

    public void setCheap(Boolean value)
    Sets the value of the cheap property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isCheap()`

  - ### isCheapest

    public Boolean isCheapest()
    This product is considered by NIHDI as the cheapest on the market.
    Returns:
      possible object is `Boolean`

  - ### setCheapest

    public void setCheapest(Boolean value)
    Sets the value of the cheapest property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isCheapest()`

  - ### isReimbursable

    public boolean isReimbursable()
    By default, a DMPP is not reimbursed, even if an existing reimbursement context references the same CNK. The NIHDI must set this flag explicitly to True if the DMPP is Reimbursable.

  - ### setReimbursable

    public void setReimbursable(boolean value)
    Sets the value of the reimbursable property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`